/***************************************************************************
                           qpicturelabel.h
                           -------------------
    copyright            : (C) 2004 by Jos van den Oever
    email                : jos@vandenoever.info
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef QPICTURELABEL
#define QPICTURELABEL

#include <q3frame.h>
#include <q3picture.h>
//Added by qt3to4:
#include <QPaintEvent>

class QPictureLabel : public Q3Frame {
public:
	explicit QPictureLabel(QWidget* parent=0, const char* name=0, Qt::WFlags f=0);
	void setPicture(const Q3Picture &);
protected:
	void paintEvent(QPaintEvent *);
private:
	Q3Picture pict;
};

#endif
