/*
Copyright (c) 2007 Matt Williams matt@milliams.com

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License or (at
your option) version 3 or, at the discretion of KDE e.V. (which shall
act as a proxy as in section 14 of the GPLv3), any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "keducaassessmentsectioneditor.h"

#include "kqtiassessmentsection.h"

#include <kdebug.h>

KEducaAssessmentSectionEditor::KEducaAssessmentSectionEditor(QWidget* parent) : QWidget(parent), mModified(false)
{
    setupUi(this);
    connect(addQuestionButton, SIGNAL(clicked(bool)), this, SIGNAL(addQuestion(bool)));
}

KEducaAssessmentSectionEditor::~KEducaAssessmentSectionEditor()
{
    
}

void KEducaAssessmentSectionEditor::setSection(KQtiAssessmentSection* section)
{
    mSection = section;
    /*Set details*/
}

#include "keducaassessmentsectioneditor.moc"
